Package wx :: Package lib :: Module mvctree :: Class NodePainter

[frames | no frames]

## Class NodePainter

Known Subclasses:
  `TreeNodePainter`

This is the interface expected of a nodepainter.

Method Summary
| `__init__(self, painter)`
| ``Paint`(self, node, dc, location)` location should be provided only to draw in an unusual position (not the node's normal position), otherwise the node's projected x and y coordinates will be used.

Method Details

### Paint(self, node, dc, location=None)

location should be provided only to draw in an unusual position (not the node's normal position), otherwise the node's projected x and y coordinates will be used.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:28 2007 | http://epydoc.sf.net